Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000099 [cparser] other minor N/A 2013-01-16 12:43 2016-01-03 03:28
Reporter Matze View Status public  
Assigned To Matze
Priority normal Resolution fixed  
Status closed   Product Version
Summary 0000099: attribute((alias(...))) support
Description cparser should support __attribute__((alias("symbol"))).
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0000151)
Matze (administrator)
2013-01-16 12:44
edited on: 2013-01-16 12:44

nsz from irc, produced the following patches which implement the feature:
http://nsz.repo.hu/git/?p=cparser;a=summary [^]
http://nsz.repo.hu/git/?p=libfirm;a=summary [^]

Review the patches!

(0000172)
Matze (administrator)
2013-08-26 00:15

It is implemented now as cparser 8df29f0cc2a31ce230819c5214e74b65f69ffdd2 and libfirm f82cad32521fcb0c93e6a09174712e24476ca55e

(There is still a small bug left if you declare a local extern function as an alias, but that's a very exotic use case for which gcc/clang fail as well)

- Issue History
Date Modified Username Field Change
2013-01-16 12:43 Matze New Issue
2013-01-16 12:44 Matze Note Added: 0000151
2013-01-16 12:44 Matze Status new => confirmed
2013-01-16 12:44 Matze Note Edited: 0000151
2013-08-26 00:15 Matze Note Added: 0000172
2013-08-26 00:15 Matze Assigned To => Matze
2013-08-26 00:15 Matze Status confirmed => resolved
2013-08-26 00:15 Matze Resolution open => fixed
2016-01-03 03:28 Matze Status resolved => closed


Mantis 1.1.5[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker